<?php
/*
    Функции для форматирования
*/

function formatMoney($val)
{
    return number_format((float)$val, 2, ',', ' ') .  ' &#8372';
}

function formatCPM($val)
{
    return number_format((float)$val, 3, ',', ' ') .  ' &#8372';
}

function formatCTR($val)
{
    return number_format((float)$val, 2, ',', ' ') .  '%';
}

function formatIntegerValue($val)
{
    return number_format($val, 0, ',', ' ');
}

function formatField($value, $cat)
{
    switch ($cat) {
        case 'money':
        case 'order_money':
        case 'cpc':
        case 'cpm':
            $formatted_value = formatMoney($value);
            break;
        case 'ctr':
            $formatted_value = formatCTR($value);
            break;
        default:
           $formatted_value = formatIntegerValue($value);
    }
    return $formatted_value;
}


?>
